<template>
  <div v-if="workspace">
    <headerr back>Workspaces / {{ workspace.name }}</headerr>
    <workspaces-detail
      class="mt-4 container mx-auto max-w-lg p-4 lg:p-8 lg:shadow lg:border rounded-lg relative"
      :workspace="workspace"
    ></workspaces-detail>
  </div>
</template>

<script lang="ts">
import { computed, watch } from "vue";
import Workspace from "@/models/Workspace";
import WorkspacesDetail from "@/components/Workspaces/Detail.vue";
import Setting from "@/models/Setting";
export default {
  components: { WorkspacesDetail },
  props: {
    workspaceId: {
      type: String,
      required: true
    }
  },
  setup(props) {
    return {
      workspace: computed(() => Workspace.findSync(props.workspaceId))
    };
  }
};
</script>
